Upsert AI Gateway budget default
PUT
/__remote/api.vercel.com/ai-gateway/budgets/defaultsCreate or update an AI Gateway budget default for one scope. Team-level authority only (owners/admins).
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.aiGateway.upsertAiGatewayBudgetDefault({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "active": "false", "alertThresholds": [], "createdAt": "123", "limitAmount": "123", "refreshPeriod": "daily", "scopeType": "api-key", "updatedAt": "123"}AuthorizationbearerToken
Default authentication mechanism
application/json
400One of the provided values in the request body is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error